# Adding a task to monitor a previously created task

## SYNOPSIS

#include <libgearman/gearman.h>

gearman_task_st *gearman_client_add_task_status(gearman_client_st *client, gearman_task_st *task, void *context, const char *job_handle, gearman_return_t *ret_ptr)

Link with -lgearman

## DESCRIPTION

`gearman_client_add_task_status()` creates a `gearman_task_st` that can be used to monitor a previously created task.

Warning

You may wish to avoid using `gearman_client_add_task()` with a stack based allocated `gearman_task_st`. The most common issues related to ABI safety involve stack allocated structures. If you use a stack based `gearman_task_st` you must free it with `gearman_task_free()`.

## RETURN VALUE

The `gearman_task_st` is created and a pointer to it is returned. On error NULL is returned and ret_ptr is set with a `gearman_return_t`.

## HOME

To find out more information please check: http://gearman.info/

See also

gearmand(8) libgearman(3) gearman_task_st(3)